org.keycloak.representations.idm.authorization

## Enum Logic

- java.lang.Object
- - java.lang.Enum<Logic>
  - - org.keycloak.representations.idm.authorization.Logic

- All Implemented Interfaces:
    Serializable, Comparable<Logic>

      public enum Logic
      extends Enum<Logic>

  The decision strategy dictates how the policies associated with a given policy are evaluated and how a final decision is obtained.
  Author:
    Pedro Igor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEGATIVE` Defines that this policy uses a logical negation.
    `POSITIVE` Defines that this policy follows a positive logic.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logic` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Logic[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSITIVE

          public static final Logic POSITIVE

      Defines that this policy follows a positive logic. In other words, the final decision is the policy outcome.

    - #### NEGATIVE

          public static final Logic NEGATIVE

      Defines that this policy uses a logical negation. In other words, the final decision would be a negative of the policy outcome.

  - ### Method Detail

    - #### values

          public static Logic[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Logic c : Logic.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Logic valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.